// LIST OF SHADERS
// COMMONS:
//	noruen_common/castshadows
// ROCKS
//	noruen_rock/acrock01b_red_trans
//	noruen_rock/acrock01b_blue_trans
// SFXs
//	noruen_sfx/accircle01
//	noruen_sfx/accircle01b
//	noruen_sfx/acchain
//	noruen_sfx/acgate1blue
//	noruen_sfx/acgate2blue
//	noruen_sfx/acgate2blue_suspended
//	noruen_sfx/acgate1red
//	noruen_sfx/acgate2red
//	noruen_sfx/acgate2red_suspended
//	noruen_sfx/AcTextBackPlainBlue
//	noruen_sfx/AcTextBackPlainRed
//	noruen_sfx/AcTextUndertowerBlue
//	noruen_sfx/AcTextUndertowerRed
//	noruen_sfx/AcTextRedCastle
//	noruen_sfx/AcTextBlueCastle
// WEAPDECLS
//	noruen_sfx/AcWepDecRocket
//	noruen_sfx/AcWepDecPlasma
//	noruen_sfx/AcWepDecLightning
//	noruen_sfx/AcWepDecRail
//	noruen_sfx/AcWepDecFlagRed
//	noruen_sfx/AcWepDecFlagBlue
// BLOODY DECLS
//	noruen_sfx/blood_hand_le_l_df
//	noruen_sfx/blood_hand_le_l_uf
//	noruen_sfx/blood_hand_le_r_02
//	noruen_sfx/blood_hand_le_r_df
//	noruen_sfx/blood_hand_le_r_uf
//	noruen_sfx/blood_hand_le_l_df_blue
//	noruen_sfx/blood_hand_le_r_01_blue
//	noruen_sfx/blood_hand_le_r_02_blue
//	noruen_sfx/blood_hand_le_r_df_blue
//	noruen_sfx/blood_hand_le_r_uf_blue
// FOG
//	noruen_sfx/deepfog
// JUMPPAD
//	noruen_sfx/jp_red_circle
// SKY
//	
textures/noruen_common/castshadows
{

	qer_editorimage textures/noruen_common/castshadows.tga

	qer_trans 0.50
	qer_nocarve
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
        
	{
		map textures/common/invisible.tga

		alphaFunc GE128

		depthWrite

		rgbGen vertex
	}

}
textures/noruen_rock/acrock01b_red_trans
{
	qer_editorimage textures/noruen_rock/AcRock01b_red.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_rock/AcRock01b_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_rock/acrock01b_blue_trans
{
	qer_editorimage textures/noruen_rock/AcRock01b_blue.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_rock/AcRock01b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_sfx/accircle01
{
        surfaceparm trans	
        surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        nopicmip
	qer_editorimage textures/noruen_sfx/AcCircle01.tga
	{
		clampmap textures/noruen_sfx/AcCircle01.tga
		tcMod rotate 80
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/noruen_sfx/accircle01b
{	
        surfaceparm trans	
        surfaceparm nomarks
	surfaceparm nonsolid	
	cull none
        nopicmip
	qer_editorimage textures/noruen_sfx/AcCircle01b.tga
	{
		clampmap textures/noruen_sfx/AcCircle01b.tga
		tcMod rotate 40
//		tcMod scale 0.5 0.5
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/noruen_sfx/acchain
{	
        surfaceparm trans	
        surfaceparm nomarks
	surfaceparm nonsolid	
	cull none
        nopicmip
	qer_editorimage textures/noruen_sfx/AcChain.tga
	{
		map textures/noruen_sfx/AcChain.tga
		tcMod scroll 0 2 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//=============================
//	GATE
//=============================
textures/noruen_sfx/acgate1blue
{
	qer_editorimage textures/noruen_sfx/AcGate1Blue.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	{
		map textures/noruen_sfx/AcGate1Blue.tga
		blendfunc blend
		rgbGen wave sin 0.7 1 0 0
		tcMod scroll -0.4 1
		alphafunc LT128
	}
	{
		map textures/noruen_sfx/AcGate1Blue.tga
		blendfunc blend
		tcMod scroll -0.05 -0.15
		alphafunc LT128
	}
}
textures/noruen_sfx/acgate2blue
{
	qer_editorimage textures/noruen_sfx/AcGate2Blue.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	tessSize 128
	deformVertexes wave 100 sin 8 4 8 0.8
	cull disable
	q3map_surfacelight 100
	{
		map textures/noruen_sfx/AcGate2Blue.tga
		blendfunc add
		alphaGen lightingSpecular
		rgbGen wave noise 0.25 0.5 0 1
		tcMod scroll 0.75 0.95
		alphafunc 128
	}
	{
		map textures/noruen_sfx/AcGateEdgeBlue.tga
		blendfunc blend
		tcMod scroll 0.8 0
		alphafunc 128
	}
}
textures/noruen_sfx/acgate2blue_suspended
{
	qer_editorimage textures/noruen_sfx/AcGateEdgeBlue.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	tessSize 128
	deformVertexes wave 100 sin 8 4 8 0.8
	cull disable
	q3map_surfacelight 100
	{
		map textures/noruen_sfx/AcGateEdgeBlue.tga
		blendfunc blend
		tcMod scroll 0.8 0
		alphafunc 128
	}
}
textures/noruen_sfx/acgate1red
{
	qer_editorimage textures/noruen_sfx/AcGate1Red.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	{
		map textures/noruen_sfx/AcGate1Red.tga
		blendfunc blend
		rgbGen wave sin 0.7 1 0 0
		tcMod scroll -0.4 1
		alphafunc LT128
	}
	{
		map textures/noruen_sfx/AcGate1Red.tga
		blendfunc blend
		tcMod scroll -0.05 -0.15
		alphafunc LT128
	}
}
textures/noruen_sfx/acgate2red
{
	qer_editorimage textures/noruen_sfx/AcGate2Red.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	tessSize 128
	deformVertexes wave 100 sin 8 4 8 0.8
	cull disable
	q3map_surfacelight 100
	{
		map textures/noruen_sfx/AcGate2Red.tga
		blendfunc add
		alphaGen lightingSpecular
		rgbGen wave noise 0.25 0.5 0 1
		tcMod scroll 0.75 0.95
		alphafunc 128
	}
	{
		map textures/noruen_sfx/AcGateEdgeRed.tga
		blendfunc blend
		tcMod scroll 0.8 0
		alphafunc 128
	}
}
textures/noruen_sfx/acgate2red_suspended
{
	qer_editorimage textures/noruen_sfx/AcGateEdgeRed.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	tessSize 128
	deformVertexes wave 100 sin 8 4 8 0.8
	cull disable
	q3map_surfacelight 100
	{
		map textures/noruen_sfx/AcGateEdgeRed.tga
		blendfunc blend
		tcMod scroll 0.8 0
		alphafunc 128
	}
}
//TEXT
textures/noruen_sfx/AcTextBackPlainBlue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcTextBackPlainBlue.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcTextBackPlainRed
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcTextBackPlainRed.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcTextUndertowerBlue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcTextUndertowerBlue.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcTextUndertowerRed
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcTextUndertowerRed.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcTextRedCastle
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcTextRedCastle.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcTextBlueCastle
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcTextBlueCastle.tga
		blendFunc add
		rgbGen identity
	}
}
// WEAPDECLS
textures/noruen_sfx/AcWepDecRocket
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcWepDecRocket.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcWepDecPlasma
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcWepDecPlasma.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcWepDecLightning
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcWepDecLightning.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcWepDecRail
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcWepDecRail.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcWepDecFlagRed
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcWepDecFlagRed.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/AcWepDecFlagBlue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/AcWepDecFlagBlue.tga
		blendFunc add
		rgbGen identity
	}
}
// BLOODY HANDS
textures/noruen_sfx/blood_hand_le_l_df
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_l_df.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_l_uf
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_l_uf.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_02
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_02.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_df
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_df.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_uf
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_uf.tga
		blendFunc add
		rgbGen identity
	}
}
//Blue Hands
textures/noruen_sfx/blood_hand_le_l_df_blue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_l_df_blue.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_01_blue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_01_blue.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_02_blue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_02_blue.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_df_blue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_df_blue.tga
		blendFunc add
		rgbGen identity
	}
}
textures/noruen_sfx/blood_hand_le_r_uf_blue
{
	qer_trans 0.5
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip
	{
		map textures/noruen_sfx/blood_hand_le_r_uf_blue.tga
		blendFunc add
		rgbGen identity
	}
}
// FOG
textures/noruen_sfx/deepfog
{
	qer_editorimage textures/noruen_sfx/fog_deep.tga
	q3map_globaltexture
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	fogparms ( 0 0 0 ) 800
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .02 .02
		tcmod scroll .11 -.11
		rgbgen identity
	}
}
textures/noruen_sfx/jp_red_circle
{
	qer_editorimage textures/noruen_sfx/AcJP.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	{
		map textures/noruen_sfx/AcJPstripes2Red.tga	//round stripes
		blendfunc gl_one gl_one
		tcmod rotate 24
		rgbGen identity
	}
	{
		map textures/noruen_sfx/AcJPstripes1Red.tga	//round stripes
		blendfunc gl_one gl_one
		tcmod rotate -16
		rgbGen identity
	}
        {
	        map textures/noruen_sfx/AcJP.tga		//basic texture with alpha
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
	{
		map textures/noruen_sfx/AcJPlightRed.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/noruen_sfx/AcJPblickRed.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/noruen_sky/derwyl_sky3
{
	qer_editorimage textures/noruen_sfx/AcSkyIcon.tga
	skyparms env/noruen/AcSky 1024 -

	q3map_lightImage env/noruen/AcSky_up.tga
	q3map_sun .67 .64 .64 75 70 7	//red green blue intensity degrees elevation test
	q3map_sun 0.02 0.31 1 14 10 35	//red green blue intensity degrees elevation
	q3map_sun .67 .64 .64 210 210 45	//red green blue intensity degrees elevation test
	q3map_surfaceLight 40			//intensity
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}
models/mapobjects/tree2/branch2
{
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks
	surfaceparm	trans
//	deformVertexes wave 100 sin 0 .1 0 .2	deformVertexes wave <div> <func> <base><amplitude> <phase> <freq>
//	deformVertexes wave 100 sin 6 1.2 4 1
	deformVertexes wave 100 sin 12 4 8 1.6
	cull none
        sort 10
        //nopicmip
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        
	}
}
models/mapobjects/weeds2/weeds2
{
     cull disable
     surfaceParm Trans
        {
                map models/mapobjects/weeds2/weeds2.tga
                alphaFunc GE128
		depthWrite
                rgbGen vertex
        }
}